<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>Z:/Project/development/PSCIP/driver/k_pscip.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<h1>Z:/Project/development/PSCIP/driver/k_pscip.h</h1><a href="k__pscip_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
<a name="l00013"></a>00013 <span class="preprocessor">#ifndef __K_PSCIPDEF_H__</span>
<a name="l00014"></a>00014 <span class="preprocessor"></span><span class="preprocessor">#define __K_PSCIPDEF_H__</span>
<a name="l00015"></a>00015 <span class="preprocessor"></span>
<a name="l00016"></a><a class="code" href="k__pscip_8h.html#17a2c084ad1878710fc9ea040b325616">00016</a> <span class="preprocessor">#define PSCIP_SIZE  0x100  </span><span class="comment">/* virtual mem size reserved */</span>
<a name="l00017"></a>00017 
<a name="l00018"></a>00018 <span class="comment">/*</span>
<a name="l00019"></a>00019 <span class="comment"> * IP Registers addresses</span>
<a name="l00020"></a>00020 <span class="comment"> */</span>
<a name="l00021"></a>00021 <span class="comment">/* set PS current */</span> 
<a name="l00022"></a><a class="code" href="k__pscip_8h.html#9947a0d1688602f4dc893860a735f427">00022</a> <span class="preprocessor">#define PSCIP_HPRIOWRITE_REG    0x0 </span>
<a name="l00023"></a><a class="code" href="k__pscip_8h.html#2ed3e95ec7802b507fe7a4baf8a1b050">00023</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_HPRIOWRITE_STAT   0x1 //ML: changed from 0x0</span>
<a name="l00024"></a><a class="code" href="k__pscip_8h.html#2350acab32f8f47a1708ac0bd7fe034e">00024</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_HPRIOWRITE_ADDR   0x0 //ML: changed from 0x0</span>
<a name="l00025"></a><a class="code" href="k__pscip_8h.html#3904d37e60b12f844bc7ba59402e7892">00025</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_HPRIOWRITE_DATA   0x2 </span><span class="comment">/* 4 bytes */</span>
<a name="l00026"></a>00026 <span class="comment">/* write */</span>
<a name="l00027"></a><a class="code" href="k__pscip_8h.html#6b51f0dfdb8aa61d7b431adac873545b">00027</a> <span class="preprocessor">#define PSCIP_WRITE_REG         0x8 </span>
<a name="l00028"></a><a class="code" href="k__pscip_8h.html#9bfceff81a315238b2e5d11cd0cb6001">00028</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_WRITE_STAT        0x9 //ML: changed from 0x8 </span>
<a name="l00029"></a><a class="code" href="k__pscip_8h.html#2351717fcaa0fcba2f0f6452aeab2ca3">00029</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_WRITE_ADDR        0x8 //ML: changed from 0x9</span>
<a name="l00030"></a><a class="code" href="k__pscip_8h.html#699285ba50e52aebd53f505d1b56b92c">00030</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_WRITE_DATA        0xa </span><span class="comment">/* 4 bytes */</span>
<a name="l00031"></a>00031 <span class="comment">/* read */</span>
<a name="l00032"></a><a class="code" href="k__pscip_8h.html#d50d5bca2cd1e0b22545f582e4ba4b96">00032</a> <span class="preprocessor">#define PSCIP_READ_REG         0x10  </span>
<a name="l00033"></a><a class="code" href="k__pscip_8h.html#46e302d9c15ee9a52a815e492e04c5a1">00033</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_READ_STAT         0x11 //ML: changed from 0x11</span>
<a name="l00034"></a><a class="code" href="k__pscip_8h.html#30433e05f36128a8bd32066a88b217b1">00034</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_READ_ADDR         0x10 //ML: changed from 0x11</span>
<a name="l00035"></a><a class="code" href="k__pscip_8h.html#8443e2099306ed280cd5fce5d4fd5153">00035</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_READ_DATA         0x12 </span><span class="comment">/* 4 bytes */</span>
<a name="l00036"></a>00036 <span class="comment">/* write waveform*/</span>
<a name="l00037"></a><a class="code" href="k__pscip_8h.html#4143874b4801c2712cd2890a5b44fd2b">00037</a> <span class="preprocessor">#define PSCIP_WRWAVE_REG  0x18 </span>
<a name="l00038"></a><a class="code" href="k__pscip_8h.html#9984303282b43e7aaef39e1cb5509a9a">00038</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_WRWAVE_STAT       0x19 //ML: changed from 0x18</span>
<a name="l00039"></a><a class="code" href="k__pscip_8h.html#c9ab63ca4054ecd34d0a06858fddd10f">00039</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_WRWAVE_ADDR       0x18 //ML: changed from 0x19</span>
<a name="l00040"></a><a class="code" href="k__pscip_8h.html#d455e93628e55eab0f3f7ffcbedc3a41">00040</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_WRWAVE_DATA       0x1a </span><span class="comment">/* 4 bytes */</span>
<a name="l00041"></a>00041 <span class="comment">/* read waveform*/</span>
<a name="l00042"></a><a class="code" href="k__pscip_8h.html#72880f1a05ba5202aa3cb5ffa23f260e">00042</a> <span class="preprocessor">#define PSCIP_RDWAVE_REG     0x20 </span>
<a name="l00043"></a><a class="code" href="k__pscip_8h.html#584a387d5841c25dbd618db3f7849131">00043</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_RDWAVE_STAT       0x20 </span>
<a name="l00044"></a><a class="code" href="k__pscip_8h.html#6f14eee01265e5c54df656963252bb4a">00044</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_RDWAVE_ADDR       0x21</span>
<a name="l00045"></a><a class="code" href="k__pscip_8h.html#1c6fc35d0b3484411a455c18d79e4edf">00045</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_RDWAVE_DATA       0x22 </span><span class="comment">/* 4 bytes */</span>
<a name="l00046"></a>00046 <span class="comment">/* broken transmit */</span>
<a name="l00047"></a><a class="code" href="k__pscip_8h.html#eb21c9465a5f33e394f038824ba4ff4b">00047</a> <span class="preprocessor">#define PSCIP_BRK_REG         0x28 </span>
<a name="l00048"></a><a class="code" href="k__pscip_8h.html#ea8e2ff7860eff0aedf3ceccad6839a6">00048</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_BRK_STAT          0x28 </span>
<a name="l00049"></a><a class="code" href="k__pscip_8h.html#a6322e938a87a052baf71b2e81661db8">00049</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_BRK_ADDR          0x29</span>
<a name="l00050"></a><a class="code" href="k__pscip_8h.html#d63759e421102f47b25d22c4d83928c1">00050</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_BRK_DATA          0x2a </span><span class="comment">/* 4 bytes */</span>
<a name="l00051"></a>00051 <span class="comment">/* FPGA status */</span>
<a name="l00052"></a><a class="code" href="k__pscip_8h.html#fcd4ee1e36b654764338e0da3fe0f520">00052</a> <span class="preprocessor">#define PSCIP_FPGA_REG         0x30 </span><span class="comment">/* 2 bytes */</span>
<a name="l00053"></a><a class="code" href="k__pscip_8h.html#20767063ef685d978abc47bb1a77d4e4">00053</a> <span class="preprocessor">#define PSCIP_FPGA_HIGH         0x30 </span><span class="comment">/* 2 bytes */</span>
<a name="l00054"></a><a class="code" href="k__pscip_8h.html#7ee9e02c0c8147a345919f6119b33462">00054</a> <span class="preprocessor">#define PSCIP_FPGA_MID          0x32 </span><span class="comment">/* 2 bytes */</span>
<a name="l00055"></a><a class="code" href="k__pscip_8h.html#01916daec2366ee3f9e0a501f5a1bb0e">00055</a> <span class="preprocessor">#define PSCIP_FPGA_LOW          0x34 </span><span class="comment">/* 2 bytes */</span>
<a name="l00056"></a>00056 <span class="comment">/* Registers status */</span>
<a name="l00057"></a><a class="code" href="k__pscip_8h.html#9c3ad05bf61e3c490ec4ac1f88d766c7">00057</a> <span class="preprocessor">#define PSCIP_REG_STAT          0x38 </span><span class="comment">/* 2 bytes */</span>
<a name="l00058"></a>00058 <span class="comment">/* Interrupt vector */</span>           
<a name="l00059"></a><a class="code" href="k__pscip_8h.html#97d0be6c6479b3690317e73bf3ca24b0">00059</a> <span class="preprocessor">#define PSCIP_IVEC_REG          0x3A </span><span class="comment">/* 1 byte */</span> //ML: corrected address, it was 3A
<a name="l00060"></a>00060 
<a name="l00061"></a>00061 <span class="comment">/* </span>
<a name="l00062"></a>00062 <span class="comment"> * IRQ and model registers</span>
<a name="l00063"></a>00063 <span class="comment"> */</span>
<a name="l00064"></a>00064  
<a name="l00065"></a><a class="code" href="k__pscip_8h.html#278f32a12a9bc2ed8a2aa96f3b9336b7">00065</a> <span class="preprocessor">#define PSCIP_PROM_OFFSET    0x80 - 0x01     // 0x01 - the addresses are shifted by 0x01 regarding to the documentation</span>
<a name="l00066"></a><a class="code" href="k__pscip_8h.html#5d7f77cebaee5bb31c9a7a0e14773db0">00066</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_MODEL_REG      0xB + PSCIP_PROM_OFFSET</span>
<a name="l00067"></a><a class="code" href="k__pscip_8h.html#e6dfd1bfbd7dbb35e27dfca79682f6de">00067</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_MANIFAC_REG    0x9 + PSCIP_PROM_OFFSET</span>
<a name="l00068"></a><a class="code" href="k__pscip_8h.html#15a1429f2a546f9367020b9eea6a89fa">00068</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_ILEV_REG       0xC1  </span><span class="comment">/* register on carrier */</span>
<a name="l00069"></a><a class="code" href="k__pscip_8h.html#c04df19697e467d1bf3083c30327613c">00069</a> <span class="preprocessor">#define PSCIP_RESET_REG      0xC3  </span><span class="comment">/* register on carrier */</span>
<a name="l00070"></a><a class="code" href="k__pscip_8h.html#b114655e8a3d807294cd1a61c76b7f2c">00070</a> <span class="preprocessor">#define PSCIP_MANIFAC_ID     0xB</span>
<a name="l00071"></a><a class="code" href="k__pscip_8h.html#7590087ecef44ea17a2e8fd8d31cb7eb">00071</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_MODEL_ID       0x1B </span>
<a name="l00072"></a><a class="code" href="k__pscip_8h.html#1220666adb0605be83393982240782d5">00072</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_RESET_MASK     0x80</span>
<a name="l00073"></a>00073 <span class="preprocessor"></span>
<a name="l00074"></a>00074 <span class="comment">/*</span>
<a name="l00075"></a>00075 <span class="comment"> * proc_fs write codes</span>
<a name="l00076"></a>00076 <span class="comment"> */</span>
<a name="l00077"></a><a class="code" href="k__pscip_8h.html#f8ea1aac9274a4b8186fbad774101f12">00077</a> <span class="preprocessor">#define PSCIP_PROC_HPRIO   1  </span><span class="comment">/* set high priority PS current */</span>
<a name="l00078"></a><a class="code" href="k__pscip_8h.html#a539fb57611818294d956c43f4f36fed">00078</a> <span class="preprocessor">#define PSCIP_PROC_WRITE   2  </span><span class="comment">/* write parameter */</span>
<a name="l00079"></a><a class="code" href="k__pscip_8h.html#b8c573e91fc17883ae9be6ef8b1b44a4">00079</a> <span class="preprocessor">#define PSCIP_PROC_WRWAVE  3  </span><span class="comment">/* write waveform values */</span>
<a name="l00080"></a><a class="code" href="k__pscip_8h.html#b16cf1ad810e0888ebf0be034dff7984">00080</a> <span class="preprocessor">#define PSCIP_PROC_RESET   100  </span><span class="comment">/* Reset IP */</span>
<a name="l00081"></a>00081 
<a name="l00082"></a>00082 
<a name="l00083"></a>00083 <span class="comment">/*</span>
<a name="l00084"></a>00084 <span class="comment"> * request irq flags</span>
<a name="l00085"></a>00085 <span class="comment"> */</span>
<a name="l00086"></a><a class="code" href="k__pscip_8h.html#f07b193002608800bf37d7ca6f87ae4c">00086</a> <span class="preprocessor">#define PSCIP_IRQ_REQUEST  2</span>
<a name="l00087"></a><a class="code" href="k__pscip_8h.html#09fc18ce009400255c60531645f0af1f">00087</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_IRQ_SERVED   1</span>
<a name="l00088"></a><a class="code" href="k__pscip_8h.html#7cc2868b418de2b3272d9592a0ada019">00088</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_IRQ_DONE     0</span>
<a name="l00089"></a>00089 <span class="preprocessor"></span>
<a name="l00090"></a>00090 <span class="comment">/* max number of devices supported */</span>
<a name="l00091"></a><a class="code" href="k__pscip_8h.html#5cdc221ce76e4f919d3578e6ebc399ec">00091</a> <span class="preprocessor">#define PSCIP_MAX_DEV  20 </span>
<a name="l00092"></a><a class="code" href="k__pscip_8h.html#438e3442e33d6017edf8047363240ea7">00092</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_DEFAULT_DEV 8</span>
<a name="l00093"></a><a class="code" href="k__pscip_8h.html#9e8c89e8fd87b59bd1cfdac8afeb7c26">00093</a> <span class="preprocessor"></span><span class="preprocessor">#define MAX_NUMER_OF_IPs_ON_CARRIER 2</span>
<a name="l00094"></a>00094 <span class="preprocessor"></span><span class="comment">/* channel offset </span>
<a name="l00095"></a>00095 <span class="comment"> * channel 0: offset=0</span>
<a name="l00096"></a>00096 <span class="comment"> * channel 1: offset=0x40</span>
<a name="l00097"></a>00097 <span class="comment"> *</span>
<a name="l00098"></a>00098 <span class="comment">*/</span>  
<a name="l00099"></a><a class="code" href="k__pscip_8h.html#c587f09b95f8512e4867b40b2281d4bf">00099</a> <span class="preprocessor">#define PSCIP_CHAN_OFFSET 0x40</span>
<a name="l00100"></a><a class="code" href="k__pscip_8h.html#ab93bf964bfb3d8e1bef1afeb609f8c3">00100</a> <span class="preprocessor"></span><span class="preprocessor">#define PSCIP_IP_OFFSET 0x100</span>
<a name="l00101"></a>00101 <span class="preprocessor"></span><span class="comment">/* busy timeout */</span>
<a name="l00102"></a><a class="code" href="k__pscip_8h.html#3d2827b32250e1f0538286b9b5617c66">00102</a> <span class="preprocessor">#define PSCIP_BUSY_TOUT  150000 </span><span class="comment">/* usec. */</span>
<a name="l00103"></a>00103 <span class="comment">//150</span>
<a name="l00104"></a>00104 
<a name="l00105"></a>00105 <span class="comment">/* max number of readings per device */</span>
<a name="l00106"></a><a class="code" href="k__pscip_8h.html#2b355e1f6f0a22ac816ad3424c614c83">00106</a> <span class="preprocessor">#define PSCIP_MAX_READ 100</span>
<a name="l00107"></a>00107 <span class="preprocessor"></span>
<a name="l00108"></a>00108 <span class="comment">/* max number of readings per device */</span>
<a name="l00109"></a><a class="code" href="k__pscip_8h.html#3d753f11c9438e66a7ea216e155f2afd">00109</a> <span class="preprocessor">#define PSCIP_MAX_CHAN 2</span>
<a name="l00110"></a>00110 <span class="preprocessor"></span>
<a name="l00111"></a>00111 <span class="comment">/* PCI  registration */</span>
<a name="l00112"></a><a class="code" href="k__pscip_8h.html#94c17ab355d288c787d55ed450a2ebf7">00112</a> <span class="preprocessor">#define PCI_VENDOR_ID_TEWS     0x1498</span>
<a name="l00113"></a><a class="code" href="k__pscip_8h.html#a783eb0e561b015162aaa99b190f0ef3">00113</a> <span class="preprocessor"></span><span class="preprocessor">#define PCI_DEVICE_ID_TCP221_cPCI  0x20D3</span>
<a name="l00114"></a><a class="code" href="k__pscip_8h.html#30826571b2cb0d72623b0391a0b696d9">00114</a> <span class="preprocessor"></span><span class="preprocessor">#define PCI_DEVICE_ID_TCPI100_PCI  0x3064</span>
<a name="l00115"></a>00115 <span class="preprocessor"></span>
<a name="l00116"></a>00116 
<a name="l00117"></a>00117 <span class="comment">/*PCI - IP interface addresses*/</span>
<a name="l00118"></a><a class="code" href="k__pscip_8h.html#2593d5810096e81bddd783d9e7ee7536">00118</a> <span class="preprocessor">#define IP_REVISION_ID     0x00</span>
<a name="l00119"></a><a class="code" href="k__pscip_8h.html#eac440c6ca117c2f9336c0100ad77f52">00119</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_A_CONTROL     0x02</span>
<a name="l00120"></a><a class="code" href="k__pscip_8h.html#7b9310fa26effe64b0bedde78fb3ef30">00120</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_B_CONTROL     0x04</span>
<a name="l00121"></a><a class="code" href="k__pscip_8h.html#5424e6fca5a995ae9e6db2a18220d9d8">00121</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_RESET      0x0A</span>
<a name="l00122"></a><a class="code" href="k__pscip_8h.html#710d2372491900bf0e47f78cba6dea41">00122</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_STATUS      0x0C</span>
<a name="l00123"></a>00123 <span class="preprocessor"></span>
<a name="l00124"></a>00124 
<a name="l00125"></a>00125 <span class="comment">/*IP control Register Masks*/</span>
<a name="l00126"></a><a class="code" href="k__pscip_8h.html#bb093c7de818e4e8598e453685c8d9bc">00126</a> <span class="preprocessor">#define IP_INT1_EN      0x0080   //1 - IP interrupt 1 enable, 0 - IP interrupt 1 disabled</span>
<a name="l00127"></a><a class="code" href="k__pscip_8h.html#c685770cd1b806df4c6ce3e03464cc2b">00127</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_INT0_EN      0x0040   //1 - IP interrupt 0 enable, 0 - IP interrupt 0 disabled</span>
<a name="l00128"></a><a class="code" href="k__pscip_8h.html#fa7ac73c85658cd83de8af2492352d7d">00128</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_INT1_SENSE     0x0020   //1 - IP interrupt 1 edge sensitive, 0 - IP interrupt 1 level sensitive</span>
<a name="l00129"></a><a class="code" href="k__pscip_8h.html#04be3830d2c6ddd1f1a249f8831eff8e">00129</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_INT0_SENSE     0x0010   //1 - IP interrupt 0 edge sensitive, 0 - IP interrupt 0 level sensitive</span>
<a name="l00130"></a><a class="code" href="k__pscip_8h.html#315aa4f51a6bf4bf1752e66fbd2e2267">00130</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_ERR_INT_EN     0x0008   //1 - IP error interrupt enable, 0 - IP erro interrupt disabled</span>
<a name="l00131"></a><a class="code" href="k__pscip_8h.html#1b75289e4f3ca042693d66e352e57780">00131</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_TIME_INT_EN     0x0004   //1 - IP timeout nterrupt enable, 0 - IP timeout interrupt disabled</span>
<a name="l00132"></a><a class="code" href="k__pscip_8h.html#6de57ae100acbdd335532f32106f8d66">00132</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_RECOVER      0x0002   //1 - IP recover time enable, 0 - IP recover time disabled</span>
<a name="l00133"></a><a class="code" href="k__pscip_8h.html#a924158415387f807f6657a3f1f0ec8d">00133</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_CLKRATE      0x0001   //1 - 32 MHz, 0- 8 MHz</span>
<a name="l00134"></a>00134 <span class="preprocessor"></span>
<a name="l00135"></a>00135 <span class="comment">/*IP Reset Register Masks*/</span>
<a name="l00136"></a><a class="code" href="k__pscip_8h.html#5b02bd6aef95d7e1ab550870a3156f35">00136</a> <span class="preprocessor">#define IPB_RESET_MASK     0x0002   // 1- IP  B RESET - signal is asserted; 0 - IP B RESET - signal is de-asserted</span>
<a name="l00137"></a><a class="code" href="k__pscip_8h.html#2902af8f72b273f1da49e1303f1bf7fe">00137</a> <span class="preprocessor"></span><span class="preprocessor">#define IPA_RESET_MASK     0x0001   // 1- IP  A RESET - signal is asserted; 0 - IP  BRESET - signal is de-asserted</span>
<a name="l00138"></a>00138 <span class="preprocessor"></span>
<a name="l00139"></a>00139 <span class="comment">/*IP Status Register Masks*/</span> 
<a name="l00140"></a><a class="code" href="k__pscip_8h.html#206b24bc5c9387d1afc691aa0a97cfce">00140</a> <span class="preprocessor">#define IP_TIME_B      0x2000   //1 - IP_B timeout has occured; 0 - IP_B timeout has not occured</span>
<a name="l00141"></a><a class="code" href="k__pscip_8h.html#6c08f3d80ceded19916f1c4e857b8328">00141</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_TIME_A      0x1000   //1 - IP_A timeout has occured; 0 - IP_A timeout has not occured</span>
<a name="l00142"></a><a class="code" href="k__pscip_8h.html#5b61a8a76fc34f9971ba838c13d1f84c">00142</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_ERR_B      0x0200   //1 - IP_B ERROR# signal asseted; 0 - IP_B ERROR# signal de-asserted</span>
<a name="l00143"></a><a class="code" href="k__pscip_8h.html#664d1b5c27e679db949b88cb1ba0abd1">00143</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_ERR_A      0x0100   //1 - IP_A ERROR# signal asseted; 0 - IP_A ERROR# signal de-asserted</span>
<a name="l00144"></a><a class="code" href="k__pscip_8h.html#16402c9a462d0e2b2ee7b949c24dc949">00144</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_INT1_B      0x0008   //1 - Active IP_B interrupt 1 request; 0 - no IP_B intrrupt 1 request</span>
<a name="l00145"></a><a class="code" href="k__pscip_8h.html#4a7e0091ff71311b086ba4e1cd5d7e6b">00145</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_INT0_B      0x0004   //1 - Active IP_B interrupt 0 request; 0 - no IP_B intrrupt 0 request</span>
<a name="l00146"></a><a class="code" href="k__pscip_8h.html#cfb8d4e54d21a40ad6852880f4314404">00146</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_INT1_A      0x0002   //1 - Active IP_A interrupt 1 request; 0 - no IP_A intrrupt 1 request</span>
<a name="l00147"></a><a class="code" href="k__pscip_8h.html#c0c10e3a1440904da2810e76917e209f">00147</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_INT0_A      0x0001   //1 - Active IP_A interrupt 0 request; 0 - no IP_A intrrupt 0 request   </span>
<a name="l00148"></a>00148 <span class="preprocessor"></span>
<a name="l00149"></a>00149 <span class="comment">/*PCI - local space 1 used for IP A-B ID, int and I/O space  - addresses*/</span>  
<a name="l00150"></a><a class="code" href="k__pscip_8h.html#7f47a9d20ebc301207c3339c7b3cf51f">00150</a> <span class="preprocessor">#define IP_A_IO_SPACE     0x00000000</span>
<a name="l00151"></a><a class="code" href="k__pscip_8h.html#3e2d1b223924f569d660faef074947f5">00151</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_A_ID_SPACE     0x00000080</span>
<a name="l00152"></a><a class="code" href="k__pscip_8h.html#76d3232db02f5b8f9402db05ce25f597">00152</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_A_INT_SPACE     0x000000C0</span>
<a name="l00153"></a>00153 <span class="preprocessor"></span>
<a name="l00154"></a><a class="code" href="k__pscip_8h.html#358209a3225b0a2b4a327c3cacc671d6">00154</a> <span class="preprocessor">#define IP_B_IO_SPACE     0x00000100</span>
<a name="l00155"></a><a class="code" href="k__pscip_8h.html#7d237aa697c952f5b1f40587fc7db898">00155</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_B_ID_SPACE     0x00000180</span>
<a name="l00156"></a><a class="code" href="k__pscip_8h.html#c15bb23981406e37bf42da975eebcaa7">00156</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_B_INT_SPACE     0x000001C0</span>
<a name="l00157"></a><a class="code" href="k__pscip_8h.html#628b89b61a77c48d95e1bef42c272446">00157</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_INT0_ACK      0x000000C0</span>
<a name="l00158"></a><a class="code" href="k__pscip_8h.html#c9472f5d5c826d9e996cdfb4a66e1bd1">00158</a> <span class="preprocessor"></span><span class="preprocessor">#define IP_INT1_ACK      0x000000C2</span>
<a name="l00159"></a>00159 <span class="preprocessor"></span>
<a name="l00160"></a>00160 
<a name="l00161"></a>00161 <span class="comment">/* PCI interface register Masks -stolen from Ramon driver:)*/</span>
<a name="l00162"></a><a class="code" href="k__pscip_8h.html#7a6ac1cddeebd657ec0e84c66a852b7f">00162</a> <span class="preprocessor">#define PLX9030_INTCSR_LINTI1_ENA  0x0001 </span><span class="comment">/* LINTi1 enable */</span>
<a name="l00163"></a><a class="code" href="k__pscip_8h.html#2d0b200cb5d3e71ff43af9cf63b9806d">00163</a> <span class="preprocessor">#define PLX9030_INTCSR_LINTI1_POL  0x0002 </span><span class="comment">/* LINTi1 polarity, 1 = active high */</span>
<a name="l00164"></a><a class="code" href="k__pscip_8h.html#5a152fcf8bebb21c7500cb71e2dcbda6">00164</a> <span class="preprocessor">#define PLX9030_INTCSR_LINTI1_STAT 0x0004 </span><span class="comment">/* LINTi1 status, 1 = interrupt active */</span>
<a name="l00165"></a><a class="code" href="k__pscip_8h.html#0c667d3586f4cf7b1ab74cef3f782cd4">00165</a> <span class="preprocessor">#define PLX9030_INTCSR_LINTI2_ENA  0x0008 </span><span class="comment">/* LINTi2 enable */</span>
<a name="l00166"></a><a class="code" href="k__pscip_8h.html#6e733dc5ca4964e27e5479eedfef6bf5">00166</a> <span class="preprocessor">#define PLX9030_INTCSR_LINTI2_POL  0x0010 </span><span class="comment">/* LINTi2 polarity, 1 = active high */</span>
<a name="l00167"></a><a class="code" href="k__pscip_8h.html#23ead937e15eab4b04fea33f3f0b4f30">00167</a> <span class="preprocessor">#define PLX9030_INTCSR_LINTI2_STAT 0x0020 </span><span class="comment">/* LINTi2 status, 1 = interrupt active */</span>
<a name="l00168"></a><a class="code" href="k__pscip_8h.html#cbcdde282e655cb46199fb0182a7cd4e">00168</a> <span class="preprocessor">#define PLX9030_INTCSR_PCI_IRQENA  0x0040 </span><span class="comment">/* PCI interrupt enable, 1 = enabled */</span>
<a name="l00169"></a><a class="code" href="k__pscip_8h.html#ebf176a8c4293bc1ebf67d4674f4cbef">00169</a> <span class="preprocessor">#define PLX9030_INTCSR_SWINT       0x0080 </span><span class="comment">/* Software interrupt, 1 = generate PCI IRQ */</span>
<a name="l00170"></a><a class="code" href="k__pscip_8h.html#f38b9d525c0f29d5dd488e730242664a">00170</a> <span class="preprocessor">#define PLX9030_INTCSR_LINTI1_SENA 0x0100 </span><span class="comment">/* LINTi1 select enable, 0 = level, 1 = edge triggerable */</span>
<a name="l00171"></a><a class="code" href="k__pscip_8h.html#ffc7d2eddb54ba486a6a725eea2d7c8f">00171</a> <span class="preprocessor">#define PLX9030_INTCSR_LINTI2_SENA 0x0200 </span><span class="comment">/* LINTi1 select enable, 0 = level, 1 = edge triggerable */</span>
<a name="l00172"></a><a class="code" href="k__pscip_8h.html#7b0f144e6348f37e5dcebbb38afa46cf">00172</a> <span class="preprocessor">#define PLX9030_INTCSR_LINTI1_ICLR 0x0400 </span><span class="comment">/* LINTi1 edge triggerable IRQ clear, writing 1 clears irq */</span>
<a name="l00173"></a><a class="code" href="k__pscip_8h.html#d3d8a16881f6d48ac5172aecd45f521c">00173</a> <span class="preprocessor">#define PLX9030_INTCSR_LINTI2_ICLR 0x0800 </span><span class="comment">/* LINTi2 edge triggerable IRQ clear, writing 1 clears irq */</span>
<a name="l00174"></a>00174 
<a name="l00175"></a><a class="code" href="k__pscip_8h.html#a93f0eb578d23995850d61f7d61c55c1">00175</a> <span class="preprocessor">#define FALSE 0</span>
<a name="l00176"></a><a class="code" href="k__pscip_8h.html#a8cecfc5c5c054d2875c03e77b7be15d">00176</a> <span class="preprocessor"></span><span class="preprocessor">#define TRUE 1</span>
<a name="l00177"></a>00177 <span class="preprocessor"></span>
<a name="l00181"></a><a class="code" href="structnpscip___dev.html">00181</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>{ 
<a name="l00182"></a><a class="code" href="structnpscip___dev.html#3cfba26d2b0e3fa6a0544e3d262065d2">00182</a>  uint32_t     pciaddr;        
<a name="l00183"></a>00183 <span class="preprocessor"> #ifdef RTAI</span>
<a name="l00184"></a>00184 <span class="preprocessor"></span>  SEM     rt_sem[<a class="code" href="k__pscip_8h.html#3d753f11c9438e66a7ea216e155f2afd">PSCIP_MAX_CHAN</a>];
<a name="l00185"></a>00185 <span class="preprocessor"> #endif </span>
<a name="l00186"></a><a class="code" href="structnpscip___dev.html#b25b0d08851ec85f28cdd6938072e903">00186</a> <span class="preprocessor"></span> <span class="keyword">struct </span>semaphore   sem;         
<a name="l00187"></a><a class="code" href="structnpscip___dev.html#ac9020cb6a85822da71cb6a10c06d36f">00187</a>  <a class="code" href="structpscip__stats__t.html">pscip_stats_t</a>    stats[<a class="code" href="k__pscip_8h.html#3d753f11c9438e66a7ea216e155f2afd">PSCIP_MAX_CHAN</a>];   
<a name="l00188"></a><a class="code" href="structnpscip___dev.html#88140323c9d4ac1e49fe6a36fbed02aa">00188</a>  wait_queue_head_t   queue[<a class="code" href="k__pscip_8h.html#3d753f11c9438e66a7ea216e155f2afd">PSCIP_MAX_CHAN</a>];   
<a name="l00189"></a><a class="code" href="structnpscip___dev.html#fd76f4660b40aff8b4ff34ab3c254d35">00189</a>  spinlock_t     lock[<a class="code" href="k__pscip_8h.html#3d753f11c9438e66a7ea216e155f2afd">PSCIP_MAX_CHAN</a>];   
<a name="l00190"></a>00190 <span class="comment">// spinlock_t     *lock[PSCIP_MAX_CHAN];   </span>
<a name="l00191"></a><a class="code" href="structnpscip___dev.html#267da34d5acdd2acaf2af946707736f1">00191</a>  <span class="keywordtype">int</span>      irqflag[<a class="code" href="k__pscip_8h.html#3d753f11c9438e66a7ea216e155f2afd">PSCIP_MAX_CHAN</a>];  
<a name="l00192"></a><a class="code" href="structnpscip___dev.html#2d77c2f8b559f45698716fd09adf4786">00192</a>  <span class="keywordtype">int</span>      irqdata[<a class="code" href="k__pscip_8h.html#3d753f11c9438e66a7ea216e155f2afd">PSCIP_MAX_CHAN</a>];  
<a name="l00193"></a><a class="code" href="structnpscip___dev.html#136ae19fbe301b0bfcf3d143e59e7bed">00193</a>  <span class="keyword">struct </span>tasklet_struct  pscip_tsk[<a class="code" href="k__pscip_8h.html#3d753f11c9438e66a7ea216e155f2afd">PSCIP_MAX_CHAN</a>];  
<a name="l00194"></a>00194 <span class="comment">// struct tasklet_struct  *pscip_tsk[PSCIP_MAX_CHAN];  /* tasklet struct */</span>
<a name="l00195"></a><a class="code" href="structnpscip___dev.html#30bb89cf1d7aed16f8ebacc55f6ded2e">00195</a>  <span class="keyword">struct </span>timeval    tv[<a class="code" href="k__pscip_8h.html#3d753f11c9438e66a7ea216e155f2afd">PSCIP_MAX_CHAN</a>];    
<a name="l00196"></a><a class="code" href="structnpscip___dev.html#4990eb4f37675360d8207ff38e6616a3">00196</a>  <span class="keyword">struct </span>cdev    cdev;         
<a name="l00197"></a><a class="code" href="structnpscip___dev.html#0142cc27edac10b4f03fecc945baceaa">00197</a>  <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span>   PCIinterfaceAddr,    
<a name="l00198"></a>00198        PCIinterfaceLen,    
<a name="l00199"></a>00199        PCIinterfaceFlags,    
<a name="l00200"></a>00200        IPinterfaceAddr,      
<a name="l00201"></a>00201        IPinterfaceLen,     
<a name="l00202"></a>00202        IPinterfaceFlags,    
<a name="l00203"></a>00203        IP_IOspaceAddr,     
<a name="l00204"></a>00204        IP_IOspaceLen,     
<a name="l00205"></a>00205        IP_IOspaceFlags;    
<a name="l00206"></a><a class="code" href="structnpscip___dev.html#dbe8eac260892a669589f3ca732c4ad7">00206</a>  <span class="keywordtype">void</span>     *pPCIinterfaceReg;    
<a name="l00207"></a><a class="code" href="structnpscip___dev.html#55e32b14b74a1a31efa915f3ee30da2c">00207</a>  <span class="keywordtype">void</span>     *pIPinterfaceReg;    
<a name="l00208"></a><a class="code" href="structnpscip___dev.html#dc0a68164f555ddc4b5de6d4cf0bf0e9">00208</a>  <span class="keywordtype">void</span>     *pIP_IOspace[<a class="code" href="k__pscip_8h.html#3d753f11c9438e66a7ea216e155f2afd">PSCIP_MAX_CHAN</a>]; 
<a name="l00210"></a><a class="code" href="structnpscip___dev.html#6bf8d25b955da3e4560bffb7737cd2f5">00210</a>  <span class="keywordtype">int</span>      IPnumber;      
<a name="l00211"></a><a class="code" href="structnpscip___dev.html#94183aef5d449f3f07669641aed0b6dd">00211</a>  <span class="keywordtype">int</span>      refcount;      
<a name="l00212"></a><a class="code" href="structnpscip___dev.html#9e516ab0b05d5588434b93ecbf9db04d">00212</a>  <span class="keywordtype">int</span>      irq;       
<a name="l00213"></a><a class="code" href="structnpscip___dev.html#d017ea6be67a911fa7e0227048f42112">00213</a>  <span class="keyword">struct </span>pci_dev    *pcidev;      
<a name="l00214"></a><a class="code" href="structnpscip___dev.html#cc7e28ef3bc0383348dc3839e0589535">00214</a>  <span class="keywordtype">char</span>                 device_name[10];    
<a name="l00215"></a><a class="code" href="structnpscip___dev.html#d340ce8452c6d05d1c1d8755ca9d6715">00215</a>  <span class="keywordtype">int</span>      pscip_number;     
<a name="l00216"></a><a class="code" href="structnpscip___dev.html#522956db86a25d51ecf36753988184c0">00216</a>  <span class="keywordtype">int</span>      carrier_number;     
<a name="l00217"></a><a class="code" href="structnpscip___dev.html#1cfa6d8e96fec37f835e821407e3b3f4">00217</a>  <span class="keywordtype">char</span>     IP_in_slot;      
<a name="l00218"></a>00218 } <a class="code" href="structnpscip___dev.html" title="Structure to mantain internal device driver variables.">npscip_Dev</a>, *<a class="code" href="structnpscip___dev.html" title="Structure to mantain internal device driver variables.">pscip_Dev</a>;
<a name="l00219"></a>00219 
<a name="l00220"></a>00220 
<a name="l00221"></a>00221 <span class="comment">/*PCI 9030 chip interface register -stolen from Ramon driver:) */</span>
<a name="l00222"></a><a class="code" href="struct_pci9030_local_conf.html">00222</a> <span class="keyword">struct </span><a class="code" href="struct_pci9030_local_conf.html">Pci9030LocalConf</a>
<a name="l00223"></a>00223 {
<a name="l00224"></a><a class="code" href="struct_pci9030_local_conf.html#c27dcf44354ec5809d743275f64a403c">00224</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#c27dcf44354ec5809d743275f64a403c">LAS0RR</a>;    <span class="comment">/* 0x00 Local Address Space 0 Range */</span>
<a name="l00225"></a><a class="code" href="struct_pci9030_local_conf.html#64b33e3be91077893cedda99086b9c8c">00225</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#64b33e3be91077893cedda99086b9c8c">LAS1RR</a>;    <span class="comment">/* 0x04 Local Address Space 1 Range */</span>
<a name="l00226"></a><a class="code" href="struct_pci9030_local_conf.html#164309e1f88bea53b0348dad8d916914">00226</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#164309e1f88bea53b0348dad8d916914">LAS2RR</a>;    <span class="comment">/* 0x08 Local Address Space 2 Range */</span>
<a name="l00227"></a><a class="code" href="struct_pci9030_local_conf.html#c5aed7b0d70176bee3287582e9b8d3d2">00227</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#c5aed7b0d70176bee3287582e9b8d3d2">LAS3RR</a>;    <span class="comment">/* 0x0C Local Address Space 3 Range */</span>
<a name="l00228"></a><a class="code" href="struct_pci9030_local_conf.html#640a1160fa5f4af692887dc7f404853a">00228</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#640a1160fa5f4af692887dc7f404853a">EROMRR</a>;    <span class="comment">/* 0x10 Expansion ROM Range */</span>
<a name="l00229"></a><a class="code" href="struct_pci9030_local_conf.html#6232b249b11127b8a5bf42c615681175">00229</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#6232b249b11127b8a5bf42c615681175">LAS0BA</a>;    <span class="comment">/* 0x14 Local Address Space 0 Local Base Address */</span>
<a name="l00230"></a><a class="code" href="struct_pci9030_local_conf.html#f8f6d1e26a4001d9270f3a8c0753024f">00230</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#f8f6d1e26a4001d9270f3a8c0753024f">LAS1BA</a>;    <span class="comment">/* 0x18 Local Address Space 1 Local Base Address */</span>
<a name="l00231"></a><a class="code" href="struct_pci9030_local_conf.html#949a05ceff57440b0ce18bde68b201a6">00231</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#949a05ceff57440b0ce18bde68b201a6">LAS2BA</a>;    <span class="comment">/* 0x1C Local Address Space 2 Local Base Address */</span>
<a name="l00232"></a><a class="code" href="struct_pci9030_local_conf.html#fb520b44e813e57b8d81adf88fcf5d2c">00232</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#fb520b44e813e57b8d81adf88fcf5d2c">LAS3BA</a>;    <span class="comment">/* 0x20 Local Address Space 3 Local Base Address */</span>
<a name="l00233"></a><a class="code" href="struct_pci9030_local_conf.html#aa0b54e90b9f628fc5249c2c82bcddcf">00233</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#aa0b54e90b9f628fc5249c2c82bcddcf">EROMBA</a>;    <span class="comment">/* 0x24 Expansion ROM Local Base Address */</span>
<a name="l00234"></a><a class="code" href="struct_pci9030_local_conf.html#9fcf5a5a65785075385ab27b763e4be3">00234</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#9fcf5a5a65785075385ab27b763e4be3">LAS0BRD</a>;   <span class="comment">/* 0x28 Local Address Space 0 Bus Region Descriptor */</span>
<a name="l00235"></a><a class="code" href="struct_pci9030_local_conf.html#ff4f9d2abd8b3d3d4498d76195d28706">00235</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#ff4f9d2abd8b3d3d4498d76195d28706">LAS1BRD</a>;   <span class="comment">/* 0x2C Local Address Space 1 Bus Region Descriptor */</span>
<a name="l00236"></a><a class="code" href="struct_pci9030_local_conf.html#759ce80b48bd4c6932afda2b812eecb5">00236</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#759ce80b48bd4c6932afda2b812eecb5">LAS2BRD</a>;   <span class="comment">/* 0x30 Local Address Space 2 Bus Region Descriptor */</span>
<a name="l00237"></a><a class="code" href="struct_pci9030_local_conf.html#87caab5cc668b36e0a311407c43e7eb7">00237</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#87caab5cc668b36e0a311407c43e7eb7">LAS3BRD</a>;   <span class="comment">/* 0x34 Local Address Space 3 Bus Region Descriptor */</span>
<a name="l00238"></a><a class="code" href="struct_pci9030_local_conf.html#e09a3ce001edf7b515717ca2b15dbe8d">00238</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#e09a3ce001edf7b515717ca2b15dbe8d">EROMBRD</a>;   <span class="comment">/* 0x38 Expansion ROM Bus Region Descriptor */</span>
<a name="l00239"></a><a class="code" href="struct_pci9030_local_conf.html#fe4767e14f663d7a001d9ca2077de9e8">00239</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#fe4767e14f663d7a001d9ca2077de9e8">CS0BASE</a>;   <span class="comment">/* 0x3C Chip Select 0 Base Address */</span>
<a name="l00240"></a><a class="code" href="struct_pci9030_local_conf.html#5534ac4d99c87f6c5bf9c7ae32470bff">00240</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#5534ac4d99c87f6c5bf9c7ae32470bff">CS1BASE</a>;   <span class="comment">/* 0x40 Chip Select 1 Base Address */</span>
<a name="l00241"></a><a class="code" href="struct_pci9030_local_conf.html#5bc7f14fd02d0148520086aa958d8d61">00241</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#5bc7f14fd02d0148520086aa958d8d61">CS2BASE</a>;   <span class="comment">/* 0x44 Chip Select 2 Base Address */</span>
<a name="l00242"></a><a class="code" href="struct_pci9030_local_conf.html#6a18709959d62d7938926f7e51c3ae6d">00242</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#6a18709959d62d7938926f7e51c3ae6d">CS3BASE</a>;   <span class="comment">/* 0x48 Chip Select 3 Base Address */</span>
<a name="l00243"></a><a class="code" href="struct_pci9030_local_conf.html#bf5e1c5bcc3eca40ef7e17268538c16e">00243</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="struct_pci9030_local_conf.html#bf5e1c5bcc3eca40ef7e17268538c16e">INTCSR</a>;    <span class="comment">/* 0x4C Interrupt Control/Status */</span>
<a name="l00244"></a><a class="code" href="struct_pci9030_local_conf.html#86e45b8c8a309f0710433c9752c94392">00244</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="struct_pci9030_local_conf.html#86e45b8c8a309f0710433c9752c94392">PROT_AREA</a>; <span class="comment">/* 0x4E Serial EEPROM Write-Protected Address Boundary */</span>
<a name="l00245"></a><a class="code" href="struct_pci9030_local_conf.html#1627b4c057c764efd4ba2f457bb6e849">00245</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#1627b4c057c764efd4ba2f457bb6e849">CNTRL</a>;     <span class="comment">/* 0x50 PCI Target Response, Serial EEPROM, and Initialization Control */</span>
<a name="l00246"></a><a class="code" href="struct_pci9030_local_conf.html#f75dbe512f25a1363528ff596e00bccb">00246</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#f75dbe512f25a1363528ff596e00bccb">GPIOC</a>;     <span class="comment">/* 0x54 General Purpose I/O Control */</span>
<a name="l00247"></a><a class="code" href="struct_pci9030_local_conf.html#334ab05104ad1d45a3170a45a2686871">00247</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#334ab05104ad1d45a3170a45a2686871">reserved1</a>; <span class="comment">/* 0x58 */</span>
<a name="l00248"></a><a class="code" href="struct_pci9030_local_conf.html#fd857d368f0aa6258819d7d9b09d12f0">00248</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#fd857d368f0aa6258819d7d9b09d12f0">reserved2</a>; <span class="comment">/* 0x5C */</span>
<a name="l00249"></a><a class="code" href="struct_pci9030_local_conf.html#a490a2efaeef3f76654abdfb4eb0d633">00249</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#a490a2efaeef3f76654abdfb4eb0d633">reserved3</a>; <span class="comment">/* 0x60 */</span>
<a name="l00250"></a><a class="code" href="struct_pci9030_local_conf.html#b05a13461c3fdfdfa464bd2f5814dcbc">00250</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#b05a13461c3fdfdfa464bd2f5814dcbc">reserved4</a>; <span class="comment">/* 0x64 */</span>
<a name="l00251"></a><a class="code" href="struct_pci9030_local_conf.html#f81ba16c81cdcac43a37b72ab8491d10">00251</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#f81ba16c81cdcac43a37b72ab8491d10">reserved5</a>; <span class="comment">/* 0x68 */</span>
<a name="l00252"></a><a class="code" href="struct_pci9030_local_conf.html#258eb4c536f5c5cb073b330af2059e58">00252</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#258eb4c536f5c5cb073b330af2059e58">reserved6</a>; <span class="comment">/* 0x6C */</span>
<a name="l00253"></a><a class="code" href="struct_pci9030_local_conf.html#4fa1a09a088c5d964349d53ff58cc8d5">00253</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#4fa1a09a088c5d964349d53ff58cc8d5">PMDATASEL</a>; <span class="comment">/* 0x70 Hidden 1 Power Management Data Select */</span>
<a name="l00254"></a><a class="code" href="struct_pci9030_local_conf.html#ad5372a8b2e30a778cd6ca906f41aaff">00254</a>   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="struct_pci9030_local_conf.html#ad5372a8b2e30a778cd6ca906f41aaff">PMDATASCALE</a>; <span class="comment">/* 0x74 Hidden 2 Power Management Data Scale */</span>
<a name="l00255"></a>00255 };
<a name="l00256"></a>00256 
<a name="l00257"></a>00257 <span class="comment">/* proc filesystem device structure */</span>
<a name="l00258"></a><a class="code" href="structnpscip___proc.html">00258</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>{
<a name="l00259"></a><a class="code" href="structnpscip___proc.html#f65695c84ed0ca84dc082449eec1a4ae">00259</a>   <span class="keywordtype">int</span> count;  <span class="comment">/* index of devices in proc fs */</span>
<a name="l00260"></a>00260 } <a class="code" href="structnpscip___proc.html">npscip_Proc</a>, *<a class="code" href="structnpscip___proc.html">pscip_Proc</a>;
<a name="l00261"></a>00261 
<a name="l00262"></a>00262 
<a name="l00263"></a>00263 
<a name="l00264"></a>00264 
<a name="l00265"></a>00265 
<a name="l00266"></a>00266 <span class="comment">/* kernel level API's */</span>
<a name="l00267"></a>00267 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#6784f6ad88e5d30a1844bf9f9fdba1d9" title="Wait after linkdown.">k_pscip_wait_linkdown</a>(<a class="code" href="structpscip__t.html">pscip_t</a> *, <span class="keywordtype">int</span>, pscip_Dev);
<a name="l00268"></a>00268 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#6dc1abe4ae1b126bbefaca9925a8988e" title="Execute high priority PS-current setting.">k_pscip_wrhiprio</a>(<a class="code" href="structpscip__t.html">pscip_t</a> *,<span class="keywordtype">int</span> , pscip_Dev);     
<a name="l00269"></a>00269 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#3d09e7e118d65412fabd7a1a1b55cb8b" title="Execute writing action.">k_pscip_write</a>(<a class="code" href="structpscip__t.html">pscip_t</a> *,<span class="keywordtype">int</span> , pscip_Dev);
<a name="l00270"></a>00270 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#b0904bacdb30b392a67dd8f608e81506" title="Execute reading action.">k_pscip_read</a>(<a class="code" href="structpscip__t.html">pscip_t</a> *,<span class="keywordtype">int</span> , pscip_Dev);
<a name="l00271"></a>00271 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#c6eb83f565e73ad37709b030d41fdade" title="Write wave value.">k_pscip_wrwave</a>(<a class="code" href="structpscip__t.html">pscip_t</a> *,<span class="keywordtype">int</span> , pscip_Dev);
<a name="l00272"></a>00272 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#f10f5492ee6ba15616537fe09a8af161" title="Execute reading action Function reads data (2 words) of a waveform from given address...">k_pscip_rdwave</a>(<a class="code" href="structpscip__t.html">pscip_t</a> *,<span class="keywordtype">int</span> , pscip_Dev);
<a name="l00273"></a>00273 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8h.html#22758dd73dc819aa396e6a55a444fd40">k_pscip_wrstat</a>(<a class="code" href="structpscip__t.html">pscip_t</a> *,<span class="keywordtype">int</span> , pscip_Dev);
<a name="l00274"></a>00274 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#de6998fee8845158a60df6bcaacc9701" title="Read link status.">k_pscip_rdlinkstat</a>(<a class="code" href="structpscip__t.html">pscip_t</a> *,<span class="keywordtype">int</span> , pscip_Dev);
<a name="l00275"></a>00275 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#9236d56d760f8d28996dc67450fcaf4d" title="Read FPGA status register FPGA status register is for debugging purposes and reflects...">k_pscip_rdfpgastat</a>(<a class="code" href="structpscip__fpga__t.html">pscip_fpga_t</a> *,<span class="keywordtype">int</span> , pscip_Dev);
<a name="l00276"></a>00276 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#64870b39eafc9795c55e871b1f334c70" title="Read transmission statistics.">k_pscip_rdstatistics</a>(<a class="code" href="structpscip__stats__t.html">pscip_stats_t</a> *,<span class="keywordtype">int</span> , pscip_Dev);
<a name="l00277"></a>00277 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#4eb06abfb78b28f632aeb15a985a2abb" title="Reset IP.">k_pscip_reset</a>(<span class="keywordtype">int</span>, pscip_Dev);
<a name="l00278"></a>00278 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#af9fef4aaf709c65ab3b704e43fbfc5f" title="Clean error counter in FPGA status register.">k_pscip_clear_err_counter</a>(<a class="code" href="structpscip__t.html">pscip_t</a> *<a class="code" href="test_8c.html#034d0a6e2de0ba1b729fc54e5ec15f04">val</a>, <span class="keywordtype">int</span> <a class="code" href="pscipacq_8c.html#c3b08da755e3580f678c98552d066a18">id_pscip</a>, pscip_Dev dev);
<a name="l00279"></a>00279 <span class="keywordtype">int</span> <a class="code" href="k__pscip_8c.html#2e05daa62010e54bf8ee30a458db37d4" title="Dumps content of all the registers of both IPs on the carrier and of Local Space...">k_pscip_dump_all_registers</a>( <a class="code" href="structpscip__t.html">pscip_t</a> *<a class="code" href="test_8c.html#034d0a6e2de0ba1b729fc54e5ec15f04">val</a>, <span class="keywordtype">int</span> <a class="code" href="pscipacq_8c.html#c3b08da755e3580f678c98552d066a18">id_pscip</a>, pscip_Dev dev);
<a name="l00280"></a>00280 <span class="comment">/* Interfacing IP */</span>
<a name="l00281"></a>00281 <span class="keywordtype">void</span> <a class="code" href="k__pscip_8c.html#2dab759a46d164a5ffb67021338afa8f" title="Reads byte from the device.">IP_read_byte</a>(<span class="keywordtype">void</span> *address,  uint8_t *<a class="code" href="test_8c.html#034d0a6e2de0ba1b729fc54e5ec15f04">val</a>);
<a name="l00282"></a>00282 <span class="keywordtype">void</span> <a class="code" href="k__pscip_8c.html#a45e2281c8ad6b553fae27e127629deb" title="Reads word from the device.">IP_read_word</a>(<span class="keywordtype">void</span> *address, uint16_t *<a class="code" href="test_8c.html#034d0a6e2de0ba1b729fc54e5ec15f04">val</a>);
<a name="l00283"></a>00283 <span class="keywordtype">void</span> <a class="code" href="k__pscip_8c.html#fc42b873fc39adc8deeef3ad4264b880" title="Writing byte to the device.">IP_write_byte</a>(<span class="keywordtype">void</span> *address,  uint8_t <a class="code" href="test_8c.html#034d0a6e2de0ba1b729fc54e5ec15f04">val</a>);
<a name="l00284"></a>00284 <span class="keywordtype">void</span> <a class="code" href="k__pscip_8c.html#bb54cb7c8617283657252ad4c51feb9a" title="Writing word to the device.">IP_write_word</a>(<span class="keywordtype">void</span> *address,  uint16_t <a class="code" href="test_8c.html#034d0a6e2de0ba1b729fc54e5ec15f04">val</a>);
<a name="l00285"></a>00285 <span class="preprocessor">#endif</span>
<a name="l00286"></a>00286 <span class="preprocessor"></span>
<a name="l00287"></a>00287 <span class="comment">/* EOF */</span>
</pre></div></div>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Dec 5 17:49:43 2008 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.7.1 </small></address>
</body>
</html>
